# Copykitku

Copykitku is a tool for replicating issues, merge requests or specific commits, also between various source code management tools (namely: GitHub and GitLab, but the list could be expanded).

Created for simplifying [haruhi-dl](https://haruhi.download/) development.

## Example usage

```
$ copykitku replicate https://github.com/ytdl-org/youtube-dl/issues/27483 https://git.sakamoto.pl/laudompat/haruhi-dl

Replicated successfully: https://git.sakamoto.pl/laudompat/haruhi-dl/-/issues/39
```

See `copykitku --help` for more usage docs.

## Supported services

- [GitHub](https://github.com/) (including Enterprise Server)
- [GitLab](https://about.gitlab.com/)

## `.copykitkurc.toml` project config file

See `CopykitkuProjectConfig` type definition in [src/types.ts](/src/types.ts)
